Subject: Re: [PATCH net-next] macvlan: pass get_ts_info and SIOC[SG]HWTSTAMP ioctl to real device

From: Richard Cochran <[email-masked]>
Date: Mon, 6 May 2019 07:01:23 -0700

On Thu, Apr 25, 2019 at 09:40:06PM +0800, Hangbin Liu wrote:
> Would you please help have a look at it and see which way we should use?
> Drop SIOCSHWTSTAMP in container or add a filter on macvlan(maybe only in
> container)?

I vote for dropping SIOCSHWTSTAMP altogether.  Why?  Because the
filter idea means that the ioctl will magically succeed or fail, based
on the unknowable state of the container's host.  It is better IMHO to
let the admin of the host set up HWTSTAMP globally (like with
hwtstamp_ctl for example) and configure the apps appropriately (like
with ptp4l --hwts_filter=check).

(BTW the patch has issues, but I'll let the advocates of the filter
idea do the review ;)

Thanks,
Richard